Skip to content

Site ​

27 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getPlacedSitePositionsGETObtain the geographic location information of Placed Sites
deleteScenarioDELETEDelete site scenario
getScenarioListGETGet scenario list
addScenarioPOSTCreate new scenario
getScenarioListDifferenceGETGet scenario list difference
getSiteListGETGet site list
createNewSitePOSTCreate new site
deleteSiteDELETEDelete an existing site
getSiteEntityGETGet site info
updateSiteEntityPUTModify an existing site
getSiteDeviceAccountSettingGETGet site device account setting
updateSiteDeviceAccountSettingPUTUpdate site device account setting
getSiteInfoForAbnormalGETGet the details of a site
getNtpServerStatusGETGet ntp server status
modifySiteWirelessFeaturePingPangEnablePATCHenable the site setting of ping pang suppression
getSiteUrlByOpenApiGETGet site url
batchSiteCopyPOSTBatch create sites by copying from existing site
batchSiteImportPOSTBatch create sites by importing site backup files from file server
getSiteSummaryStatisticByOpenApiPOSTGet sites statistic
deleteTag_1DELETEDelete an existing site tag
getTags_1GETGet site tag list
modifyTag_1PATCHModify an existing site tag
addTag_1POSTCreate new site tag
createNewSiteByTemplatePOSTCreate new site from site template
getAvailableSiteToBindGETGet available site to bind template
getNtpServerStatusTemplateGETGet template ntp server status
getUnplacedSitePositionsGETObtain the geographic location information of unplaced Sites

getPlacedSitePositions ​

GET /openapi/v1/{omadacId}/placed-site-position

Obtain the geographic location information of Placed Sites

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getPlacedSitePositions"
}
Details, permissions and error codes

Obtain the geographic location information of Placed Sites in batches.
The interface requires one of the permissions:
Global Dashboard Manager View Only

deleteScenario ​

DELETE /openapi/v1/{omadacId}/scenarios

Delete site scenario

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Scenario

FieldTypeRequiredDescription
namestringyesScenario name should contain 1 to 128 visible ASCII characters.
json
// omada_call_operation
{
  "operationId": "deleteScenario",
  "body": "{...}"
}
Details, permissions and error codes

Delete site scenario
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

getScenarioList ​

GET /openapi/v1/{omadacId}/scenarios

Get scenario list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getScenarioList"
}

addScenario ​

POST /openapi/v1/{omadacId}/scenarios

Create new scenario

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Scenario

FieldTypeRequiredDescription
namestringyesScenario name should contain 1 to 128 visible ASCII characters.
json
// omada_call_operation
{
  "operationId": "addScenario",
  "body": "{...}"
}
Details, permissions and error codes

Create new scenario
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

getScenarioListDifference ​

GET /openapi/v1/{omadacId}/scenarios/difference

Get scenario list difference

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getScenarioListDifference"
}
Details, permissions and error codes

Get a list of default scenarios for differentiation

getSiteList ​

GET /openapi/v1/{omadacId}/sites

Get site list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name
filters.tagquerystringnoFilter query parameters, support field tag ID
filters.typequerystringnoFilter query parameters, support field site type. 0: basic site; 1: pro site.
json
// omada_call_operation
{
  "operationId": "getSiteList"
}

createNewSite ​

POST /openapi/v1/{omadacId}/sites

Create new site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema CreateSiteEntity

FieldTypeRequiredDescription
namestringyesName of the site should contain 1 to 64 characters.
typeintegernoType of the site should be 0 or 1, and 0 means basic site, 1 means pro site.
regionstringyesCountry/Region of the site; For the values of region, refer to the abbreviation of the ISO country code; For example, you need to input "United States" for the United States of America.
timeZonestringyesFor the values of the timezone of the site, refer to section 5.1 of the Open API Access Guide.
scenariostringyesFor the values of the scenario of the site, refer to result of the interface for Get scenario list.
tagIdsarray<string>noSite tag ID, Site tag ID can be created using "Create new site tag" interface, and site tag ID can be obtained from "Get site tag list" interface
longitudenumber (double)noLongitude of the site should be within the range of -180 - 180.
latitudenumber (double)noLatitude of the site should be within the range of -90 - 90.
addressstringnoAddress of the site
deviceAccountSettingDeviceAccountSettingOpenApiVOyes(DeviceAccountSettingOpenApiVO not expanded; call omada_get_schema "DeviceAccountSettingOpenApiVO")
supportESbooleannoWhether the site supports adopting Agile Series Switches
supportL2booleannoWhether the site supports adopting Non-Agile Series Switches
json
// omada_call_operation
{
  "operationId": "createNewSite",
  "body": "{...}"
}
Details, permissions and error codes

Create new site
The interface requires one of the permissions:
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33101 - This name already exists. Please enter another name for this site.
-33104 - The number of sites has reached the limit.

deleteSite ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}

Delete an existing site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "deleteSite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Delete an existing site
The interface requires one of the permissions:
Global Dashboard Manager Modify

getSiteEntity ​

GET /openapi/v1/{omadacId}/sites/{siteId}

Get site info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteEntity",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site info
The interface requires one of the permissions:
Global Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteEntity ​

PUT /openapi/v1/{omadacId}/sites/{siteId}

Modify an existing site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UpdateSiteEntity

FieldTypeRequiredDescription
namestringnoSite name should contain 1 to 64 characters.
regionstringyesCountry/Region of the site; For the values of region, refer to the abbreviation of the ISO country code; For example, you need to input "United States" for the United States of America.
timeZonestringyesFor the values of the timezone of the site, refer to section 5.1 of the Open API Access Guide.
tagIdsarray<string>noSite tag ID, Site tag ID can be created using "Create new site tag" interface, and site tag ID can be obtained from "Get site tag list" interface
ntpEnablebooleannoNTP server status of the site
ntpServersarray<ntp server>noNTP server address; Up to 5 entries are allowed for the NTP server address list.
dstModifyDstDTOno(ModifyDstDTO not expanded; call omada_get_schema "ModifyDstDTO")
scenariostringyesFor the values of the scenario of the site, refer to result of the interface for Get scenario list.
longitudenumber (double)noLongitude of the site should be within the range of -180 - 180.
latitudenumber (double)noLatitude of the site should be within the range of -90 - 90.
addressstringnoAddress of the site
supportESbooleannoWhether the site supports adopting Agile Series Switches
supportL2booleannoWhether the site supports adopting Non-Agile Series Switches
json
// omada_call_operation
{
  "operationId": "updateSiteEntity",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing site
The interface requires one of the permissions:
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
-33101 - This name already exists. Please enter another name for this site.
-33104 - The number of sites has reached the limit.
-33809 - This scenario does not exist.

getSiteDeviceAccountSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/device-account

Get site device account setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteDeviceAccountSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site device account setting
The interface requires one of the permissions:
Global Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteDeviceAccountSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/device-account

Update site device account setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeviceAccountSettingOpenApiVO

FieldTypeRequiredDescription
usernamestringyesDevice account username should contain 1 to 64 ASCII characters.
passwordstringyesDevice account parameter [password] should contain 10 to 64 ASCII characters. And passwords must be a combination of uppercase letters, lowercase letters, numbers, and special symbols. Symbols such as ! # $ % & * @ ^ are supported. The password should not contain consecutive identical characters. Username and Password should not be the same.
json
// omada_call_operation
{
  "operationId": "updateSiteDeviceAccountSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update site device account settin
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteInfoForAbnormal ​

GET /openapi/v1/{omadacId}/sites/{siteId}/global-dashboard/site-map/abnormal

Get the details of a site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteInfoForAbnormal",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the details of a site in the Dashboard - site map
The interface requires one of the permissions:
Global Dashboard Manager View Only

getNtpServerStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/ntp

Get ntp server status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getNtpServerStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get ntp server status.
The interface requires one of the permissions:
Incidents Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

modifySiteWirelessFeaturePingPangEnable ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/roaming/pingpang/enable

enable the site setting of ping pang suppression

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyes(site ID or site name)
json
// omada_call_operation
{
  "operationId": "modifySiteWirelessFeaturePingPangEnable",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

enable the site setting of ping pang suppression
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
Network Config Page Modify

getSiteUrlByOpenApi ​

GET /openapi/v1/{omadacId}/sites/{siteId}/url

Get site url

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteUrlByOpenApi",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site url
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-53124 - Device Management Host not enable.

batchSiteCopy ​

POST /openapi/v1/{omadacId}/sites/copy

Batch create sites by copying from existing site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema BatchSiteCopyVO

FieldTypeRequiredDescription
sourceSiteIdstringyesSource site ID to be copied.
targetSiteNumintegeryesSite num to be created should between 1 and 300.
siteNamePrefixstringyesSite name prefix, new sites name will use this prefix. Parameter [siteNamePrefix] should be 1 - 128 ASCII characters.
json
// omada_call_operation
{
  "operationId": "batchSiteCopy",
  "body": "{...}"
}
Details, permissions and error codes

Batch create sites by copying from existing site
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30304 - Restoring...
-30305 - Failed to restore because of unexpected errors. Please try again later.

batchSiteImport ​

POST /openapi/v1/{omadacId}/sites/multi-import

Batch create sites by importing site backup files from file server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema BatchSiteImportVO

FieldTypeRequiredDescription
fileServerConfigFileServerOpenApiVOyes(FileServerOpenApiVO not expanded; call omada_get_schema "FileServerOpenApiVO")
siteImportConfigListarray<SiteImportOpenApiVO>yesSite import config list. max size 300.
json
// omada_call_operation
{
  "operationId": "batchSiteImport",
  "body": "{...}"
}
Details, permissions and error codes

Batch create sites by importing site backup files from file server.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30304 - Restoring...
-30305 - Failed to restore because of unexpected errors. Please try again later.

getSiteSummaryStatisticByOpenApi ​

POST /openapi/v1/{omadacId}/sites/statistic

Get sites statistic

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema SiteStatisticList

FieldTypeRequiredDescription
omadaAndSiteIdsarray<SiteStatistic>noOmadac ID and site ID list
json
// omada_call_operation
{
  "operationId": "getSiteSummaryStatisticByOpenApi",
  "body": "{...}"
}

deleteTag_1 ​

DELETE /openapi/v1/{omadacId}/sites/tags

Delete an existing site tag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeleteSiteTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesTag ID
json
// omada_call_operation
{
  "operationId": "deleteTag_1",
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing site tag.
The interface requires one of the permissions:
Global Dashboard Manager Modify

getTags_1 ​

GET /openapi/v1/{omadacId}/sites/tags

Get site tag list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getTags_1"
}
Details, permissions and error codes

Get site tag list.
The interface requires one of the permissions:
Global Dashboard Manager View Only

modifyTag_1 ​

PATCH /openapi/v1/{omadacId}/sites/tags

Modify an existing site tag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Site Tag

FieldTypeRequiredDescription
namestringnoTag name should contain 1 to 128 ASCII characters.
tagIdstringnoTag ID
json
// omada_call_operation
{
  "operationId": "modifyTag_1",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing site tag.
The interface requires one of the permissions:
Global Dashboard Manager Modify

addTag_1 ​

POST /openapi/v1/{omadacId}/sites/tags

Create new site tag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema CreateSiteTagOpenApiVO

FieldTypeRequiredDescription
namestringnoTag name should contain 1 to 128 ASCII characters
json
// omada_call_operation
{
  "operationId": "addTag_1",
  "body": "{...}"
}
Details, permissions and error codes

Create new site tag.
The interface requires one of the permissions:
Global Dashboard Manager Modify

createNewSiteByTemplate ​

POST /openapi/v1/{omadacId}/sites/template

Create new site from site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema CreateSiteByTemplate

FieldTypeRequiredDescription
siteTemplateIdstringyesSite template ID.
namestringyesName of the site should contain 1 to 64 characters.
regionstringyesCountry/Region of the site; For the values of region, refer to the abbreviation of the ISO country code; For example, you need to input "United States" for the United States of America.
scenariostringyesFor the values of the scenario of the site, refer to result of the interface for Get scenario list.
tagIdsarray<string>noSite tag ID, Site tag ID can be created using "Create new site tag" interface, and site tag ID can be obtained from "Get site tag list" interface
longitudenumber (double)noLongitude of the site should be within the range of -180 - 180.
latitudenumber (double)noLatitude of the site should be within the range of -90 - 90.
addressstringnoAddress of the site
deviceAccountSettingDeviceAccountSettingOpenApiVOyes(DeviceAccountSettingOpenApiVO not expanded; call omada_get_schema "DeviceAccountSettingOpenApiVO")
supportESbooleannoWhether the site supports adopting Agile Series switches
supportL2booleannoWhether the site supports adopting Non-Agile Series switches
json
// omada_call_operation
{
  "operationId": "createNewSiteByTemplate",
  "body": "{...}"
}
Details, permissions and error codes

Create new site from site template
The interface requires one of the permissions:
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33101 - This name already exists. Please enter another name for this site.
-33104 - The number of sites has reached the limit.

getAvailableSiteToBind ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/available-bind

Get available site to bind template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getAvailableSiteToBind",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get available site to bind template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getNtpServerStatusTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/ntp

Get template ntp server status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getNtpServerStatusTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get template ntp server status.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getUnplacedSitePositions ​

GET /openapi/v1/{omadacId}/unplaced-site-position

Obtain the geographic location information of unplaced Sites

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getUnplacedSitePositions"
}
Details, permissions and error codes

Obtain the geographic location information of unplaced Sites.
The interface requires one of the permissions:
Global Dashboard Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.